<?php

add_action('init', 'pet_custom_init');
function pet_custom_init()
{
  $labels = array(
    'name' => __('Animals for Adoption','ADA'),
    'singular_name' => _x('Animal', 'post type singular name', 'ADA'),
    'add_new' => __('Add Animal', 'ADA'),
    'add_new_item' => __('Add animal for Adoption', 'ADA'),
    'edit_item' => __('Edit Animal', 'ADA'),
    'new_item' => __('New Animal', 'ADA'),
    'view_item' => __('View Animal', 'ADA'),
    'search_items' => __('Search for Animal', 'ADA'),
    'not_found' =>  __('Not Found!','ADA'),
    'not_found_in_trash' => __('Nothing found in Trash','ADA'),
    'parent_item_colon' => '',
    'menu_name' => __('Animals', 'ADA')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true,
    'hierarchical' => false,
    'menu_position' => 100,
    'show_in_nav_menus'=> false,
    'supports' => array('title','editor','thumbnail','comments')
  );

register_post_type('pet',$args);

}

$labels = array(
    'name' => __( 'Types', 'ADA'),
    'singular_name' => _x('Type', 'post type singular name', 'ADA'),
    'search_items' =>  __( 'Search', 'ADA' ),
    'popular_items' => __( 'Most Used', 'ADA' ),
    'all_items' => __( 'All Types', 'ADA' ),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add Type', 'ADA' ),
    'update_item' => __( 'Update Type', 'ADA' ),
    'add_new_item' => __( 'Add new Type', 'ADA' ),
    'new_item_name' => __( 'New Type', 'ADA' )
  );

register_taxonomy('type', array('pet'),
	array(
	'hierarchical' => true,
	'labels' => $labels,
	'singular_label' => __( 'Type', 'ADA'),
	'all_items' => __( 'All Types', 'ADA' ),
	'query_var' => true,
	'rewrite' => array( 'slug' => 'type' ))
	);


$labels = array(
    'name' => __( 'Colors','ADA'),
    'singular_name' => _x('Color', 'post type singular name', 'ADA'),
    'search_items' =>  __( 'Search Colors','ADA'),
    'all_items' => __( 'All Colors','ADA'),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add new Color','ADA'),
    'update_item' => __( 'Update Color','ADA'),
    'add_new_item' => __( 'Add Color','ADA'),
    'new_item_name' => __( 'New Color','ADA')
  );

register_taxonomy('color', array('pet'),
	array(
	'hierarchical' => false,
	'labels' => $labels,
	'singular_label' => 'Status',
	'all_items' => __('All Colors' ,'ADA'),
  'show_in_nav_menus' => false,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'color' ))
	);


$labels = array(
    'name' => __( 'Status','ADA'),
    'singular_name' => __( 'Status','ADA'),
    'search_items' =>  __( 'Search Status','ADA'),
    'all_items' => __( 'All Status','ADA'),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add New','ADA'),
    'update_item' => __( 'Update Status','ADA'),
    'add_new_item' => __( 'Add Status','ADA'),
    'new_item_name' => __( 'New Status' ,'ADA')
  );

register_taxonomy('status', array('pet'),
	array(
	'hierarchical' => false,
	'labels' => $labels,
	'singular_label' => 'Status',
	'all_items' => __('All Status','ADA'),
	'query_var' => true,
	'rewrite' => array( 'slug' => 'status' ))
	);



add_action('init', 'perdidos_register');

function perdidos_register() {

	$labels = array(
		'name' => __('Lost Pets','ADA'),
		'singular_name' => _x('Lost Pet', 'post type singular name', 'ADA'),
		'add_new' => __('Add Lost Pet','ADA'),
		'add_new_item' => __('Add Lost Pet','ADA'),
		'edit_item' => __('Edit Pet','ADA'),
		'new_item' => __('New Pet','ADA'),
		'view_item' => __('View Pet','ADA'),
		'search_items' => __('Search Pet','ADA'),
		'not_found' =>  __('Not Found!','ADA'),
		'not_found_in_trash' => __('Nothing found in Trash','ADA'),
		'parent_item_colon' => ''
	);

	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => 100,
    'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail')
	  );

	register_post_type( 'lost' , $args );
}

$labels = array(
    'name' => __( 'Types','ADA'),
    'singular_name' => _x('Type', 'post type singular name', 'ADA'),
    'search_items' =>  __( 'Search' ,'ADA'),
    'popular_items' => __( 'Most Popular','ADA'),
    'all_items' => __( 'All Types','ADA'),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add New','ADA'),
    'update_item' => __( 'Update','ADA'),
    'add_new_item' => __( 'Add new Type','ADA'),
    'new_item_name' => __( 'New Type','ADA')
  );

register_taxonomy('lost-type', array('lost'),
	array(
	'hierarchical' => true,
	'labels' => $labels,
	'singular_label' => __('Pet Types', 'ADA'),
	'all_items' => __('All Types', 'ADA'),
	'query_var' => true,
  'show_in_nav_menus' => false)
	);

add_action('init', 'noticias_register');

function noticias_register() {

	$labels = array(
		'name' => __('News','ADA'),
		'singular_name' => __('News','ADA'),
		'add_new' => __('Add News','ADA'),
		'add_new_item' => __('Add News','ADA'),
		'edit_item' => __('Edit News','ADA'),
		'new_item' => __('Add News','ADA'),
		'view_item' => __('View News','ADA'),
		'search_items' => __('Search News','ADA'),
		'not_found' =>  __('Not Found','ADA'),
		'not_found_in_trash' => __('Nothing found in Trash','ADA'),
		'parent_item_colon' => ''
	);

	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => 100,
    'show_in_nav_menus'=> false,
    'has_archive' => true,
		'supports' => array('title','editor','thumbnail', 'author', 'comments')
	  );

	register_post_type( 'news' , $args );
}

$labels = array(
    'name' => __( 'News Tags','ADA'),
    'singular_name' => _x('News Tag', 'post type singular tag', 'ADA'),
    'search_items' =>  __( 'Search' ,'ADA'),
    'popular_items' => __( 'Most Popular','ADA'),
    'all_items' => __( 'All Tag News' ,'ADA'),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add New' ,'ADA'),
    'update_item' => __( 'Update','ADA'),
    'add_new_item' => __( 'Add new Tag','ADA'),
    'new_item_name' => __( 'New Tag','ADA')
  );

register_taxonomy('tag-news', array('news'),
	array(
	'hierarchical' => false,
	'labels' => $labels,
	'singular_label' => __('News Tag', 'ADA'),
	'all_items' => __('All Tags', 'ADA'),
	'query_var' => true,
  'show_in_nav_menus'=> false,
	'rewrite' => array( 'slug' => 'tag-news' ))
	);


add_action('init', 'article');

function article()
{
  $labels = array(
    'name' => __('Article','ADA'),
    'singular_name' => _x('Article', 'post type singular name', 'ADA'),
    'add_new' => __('Add Article','ADA'),
    'add_new_item' => __('Add New Article','ADA'),
    'edit_item' => __('Edit Article','ADA'),
    'new_item' => __('New Article','ADA'),
    'view_item' => __('View Articles','ADA'),
    'search_items' => __('Search for Articles','ADA'),
    'not_found' =>  __('Not Found!','ADA'),
    'not_found_in_trash' => __('Nothing found in Trash','ADA'),
    'parent_item_colon' => '',
    'show_in_nav_menus'=> false,
    'menu_name' => __('Articles','ADA')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'hierarchical' => true,
    'menu_position' => 100,
    'show_in_nav_menus'=> false,
    'supports' => array('title','editor','author','thumbnail','comments'),
    'rewrite' => array( 'slug' => 'article' ) ,
    'has_archive' => true

  );

  register_post_type('articles',$args);

}


$labels = array(
    'name' => __( 'Articles Tags','ADA'),
    'singular_name' => _x('Articles Tag', 'post type singular tag', 'ADA'),
    'search_items' =>  __( 'Search' ,'ADA'),
    'all_items' => __( 'All Tags' ,'ADA'),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Add New','ADA'),
    'update_item' => __( 'Update','ADA'),
    'add_new_item' => __( 'Add Tag','ADA'),
    'new_item_name' => __( 'New Tag','ADA')
  );

register_taxonomy('tag-article', array('articles'),
	array(
	'hierarchical' => false,
	'labels' => $labels,
	'singular_label' => 'Status',
	'all_items' => __('All Tags', 'ADA'),
  'show_in_nav_menus' => false,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'tag-article' ))
	);


//display contextual help
add_action( 'contextual_help', 'add_help_text', 10, 3 );

function add_help_text($contextual_help, $screen_id, $screen) {
  //$contextual_help .= var_dump($screen); // use this to help determine $screen->id
  if ('pet' == $screen->id ) {
    $contextual_help =
      '<h3 class="ada-admin">' . __('ADA Theme Help', 'ADA') . '</h3>' .
      '<p class="ada-admin">' . __('<strong>ADA Theme</strong> is designed for local or personal websites on animals adoption.', 'ADA') . '</p>' .

      '<p>' . __('In this screen, you can add a specif post type for available pets for adoption. All pets stores individual data such breed, colors, size and more. Learn the basics:', 'ADA') . '</p>' .
      '<ul>' .
      '<li>' . __('Post Title - fill in the animal name','ADA') . '</li>' .
      '<li>' . __('Text Area - Add extended info, pictures, videos, links anything else about the animal.', 'ADA') . '</li>' .
      '</ul>' .
      '<p>' . __('All posts created in this area are specific for animals availables for adoption. Please fill all fields within the <strong>Animal Information</strong> box and also these three info:', 'ADA') . '</p>' .
      '<ul>' .
      '<li>' . __('<strong>Types</strong> - Any animal can be managed by ADA Theme. "Type" stands for Animal types. Examples.: <em>Cats</em>, <em>Dos</em> etc. In plural.', 'ADA') . '</li>' .
      '<li>' . __('<strong>Status</strong> - Adoption Status is a required field: <span class="ada-admin">adopt</span> <strong>OR</strong> <span class="ada-admin">adopted</span>.', 'ADA') . '</li>' .
      '<li>' . __('<strong>Colors</strong> - Animals hair colors, separated by commas. Example: <em>White, Black, Walnut</em>', 'ADA') . '</li>' .
      '</ul>' .
      '<p>' . __('<strong>Status info are required.</strong> These tags guides animals post type to the right layout area and also helps visitors to navigate the site content. When adding a pet for adoption, use the <em>adopt</em> tag, if the pet are no longer available, remove the previous tag and use <em>adopted</em> tag. Never use boths tag at once.', 'ADA') . '</p>' .
      '<p>' . __('The <strong>Animal Informations</strong> box, keep all important informations about a pet for adoption. The more you inform, the better. All data are stored within every animal individually. You also can update or change all data anytime.', 'ADA') . '</p>' .
      '<p><strong>' . __('More Help with ADA Theme:', 'ADA') . '</strong></p>'.
      '<p>' . __('<a href="http://arquivo.tk/temas/ada" target="_blank">ADA Theme site</a>', 'ADA') . '</p>' ;
  }elseif ( 'news' == $screen->id ) {
    $contextual_help =
      '<h3 class="ada-admin">' . __('ADA Theme Help','ADA') . '</h3>' .
      '<p class="ada-admin">' . __('Create <strong>News</strong> post types and keep your visitors up do date with your project activities.', 'ADA') . '</p>' .
      '<p>' . __('The News post type, can be useful for inform about events in your town related do animals adoption and so on. All News post types are kept in the same place, without categories, so you can focus on adding news.', 'ADA') . '</p>' .
      '<p><strong>' . __('More Help with ADA Theme:', 'ADA') . '</strong></p>'.
      '<p>' . __('<a href="http://arquivo.tk/temas/ada" target="_blank">ADA Theme site</a>', 'ADA') . '</p>' ;
  } elseif ( 'articles' == $screen->id ) {
    $contextual_help =
      '<h3 class="ada-admin">' . __('ADA Theme Help', 'ADA') . '</h3>' .
      '<p class="ada-admin">' . __('Create <strong>Articles</strong> post types for special content, interviews and alike', 'ADA') . '</p>' .
      '<p>' . __('The Article post type is designed for anyt content related to your site. Using Articles prevents creating categories for few or single posts only. Article post types can be commented or not and also supports tags.', 'ADA') . '</p>' .
      '<p><strong>' . __('More Help with ADA Theme:', 'ADA') . '</strong>></p>'.
      '<p>' . __('<a href="http://arquivo.tk/temas/ada" target="_blank">ADA Theme site</a>', 'ADA') . '</p>' ;
  } elseif ( 'lost' == $screen->id ) {
    $contextual_help =
      '<h3 class="ada-admin">' . __('ADA Theme Help', 'ADA') . '</h3>' .
      '<p class="ada-admin">' . __('<strong>ADA Theme</strong> also can help displaying lost pets. Vistors can help identifying a pet they found or add a pet they have lost.', 'ADA') . '</p>' .

      '<p>' . __('The site Admin can allow visitors to create this post type (Contributor user level).', 'ADA') . '</p>' .
      '<ul>' .
      '<li>' . __('Post Title - fill in the animal name','ADA') . '</li>' .
      '<li>' . __('Text Area - Add extended info, pictures, videos, links anything else about the animal.', 'ADA') . '</li>' .
      '</ul>' .
      '<p>' . __('All posts created in this area are specific for lost pets. Please fill all fields within the <strong>Lost Pet Information</strong>.', 'ADA') . '</p>' .
      '<p>' . __('The <strong>Lost Pet Information</strong> box ask important informations about a lost pet. The more you inform, the better. All data are stored within the post individually and you can update or change data anytime.', 'ADA') . '</p>' .
      '<p>' . __('<strong>Note on Privacy and Security:</strong> For security and privacy purposes, the lost pet posts does not have searcheable features such taxonomies.', 'ADA') . '</p>' .
      '<p><strong>' . __('More Help with ADA Theme:', 'ADA') . '</strong>></p>'.
      '<p>' . __('<a href="http://arquivo.tk/temas/ada" target="_blank">ADA Theme site</a>', 'ADA') . '</p>' ;
  } elseif ( 'edit-pet' == $screen->id || 'edit-lost' == $screen->id || 'edit-article' == $screen->id || 'edit-news' == $screen->id) {
    $contextual_help =
      '<p><strong>' . __('More Help with ADA Theme:', 'ADA') . '</strong>></p>'.
      '<p>' . __('<a href="http://arquivo.tk/temas/ada" target="_blank">ADA Theme site</a>', 'ADA') . '</p>' ;
}
  return $contextual_help;
}



//admin interface

add_action('admin_head', 'plugin_header');
function plugin_header() {
	global $post_type;
	?>
  <style>
  h3.ada-admin{font: italic 20px georgia}
  p.ada-admin{font: italic 16px georgia }
  span.ada-admin{background:#fff;font-family:courier;padding:2px }


  </style>

  <style>
	<?php if ($post_type == 'pet') : ?>
	#icon-edit, .meta-pet { background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -110px -70px; }
	<?php endif; ?>
	#adminmenu #menu-posts-pet div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -105px -33px; }
	#adminmenu #menu-posts-pet:hover div.wp-menu-image,#adminmenu #menu-posts-pet.wp-has-current-submenu div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>')  no-repeat -105px -1px; }
  </style>

	<style>
	<?php if ($post_type == 'news') : ?>
	#icon-edit { background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -60px -70px; }
	<?php endif; ?>
	#adminmenu #menu-posts-news div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -55px -32px; }
	#adminmenu #menu-posts-news:hover div.wp-menu-image,#adminmenu #menu-posts-news.wp-has-current-submenu div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -55px -0px; }
    </style>

	<style>
	<?php if ($post_type == 'articles') : ?>
	#icon-edit { background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat 0px -72px; }
	<?php endif; ?>
	#adminmenu #menu-posts-articles div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat 0px -31px; }
	#adminmenu #menu-posts-articles:hover div.wp-menu-image,#adminmenu #menu-posts-articles.wp-has-current-submenu div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat 0px 0px; }
  </style>

  <style>
	<?php if ($post_type == 'lost') : ?>
	#icon-edit, .meta-lost { background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -160px -70px; }
	<?php endif; ?>
		#adminmenu #menu-posts-lost div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -150px -32px; }
	#adminmenu #menu-posts-lost:hover div.wp-menu-image,#adminmenu #menu-posts-lost.wp-has-current-submenu div.wp-menu-image{background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>')  no-repeat -150px 0px; }
  </style>

<?php
}

//only see yout own posts
function ada_parse_query_useronly( $wp_query ) {
    if ( strpos( $_SERVER[ 'REQUEST_URI' ], '/wp-admin/edit.php' ) !== false ) {
        if ( !current_user_can( 'level_10' ) ) {
            global $current_user;
            $wp_query->set( 'author', $current_user->id );
        }
    }
}
add_filter('parse_query', 'ada_parse_query_useronly' );



// Comments
function ada_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<div class="avt"><?php echo get_avatar( $comment, 40 ); ?></div>
			<cite class="fn" ><?php echo get_comment_author_link() ; ?></cite>

		<span class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php echo get_comment_date(); ?> - <?php echo get_comment_time();?> </a><?php edit_comment_link( );?>
		</span><!-- .comment-meta .commentmetadata -->

		</div><!-- .comment-author .vcard -->


    <?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'ADA' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li>
		<p class="pingback">Pingaback: <?php echo comment_author_link(); ?> <?php edit_comment_link( ); ?></p>
	<?php
			break;
	endswitch;
}


?>