<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * Init plugin options to white list our options
 */
function theme_options_init(){
	register_setting( 'sample_options', 'ADA_theme_options', 'theme_options_validate' );
}

/**
 * Load up the menu page
 */
function theme_options_add_page() {
	add_theme_page( __( 'ADA Settings', 'ADA' ), __( 'ADA Settings', 'ADA' ), 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}

$radio_options = array(
	'yes' => array(
		'value' => 'yes',
		'label' => __( 'Yes', 'ADA' )
	),
	'no' => array(
		'value' => 'no',
		'label' => __( 'No', 'ADA' )
	)
);


/**
 * Create the options page
 */
function theme_options_do_page() {
	global $select_options, $radio_options;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>

<style>
#icon-themes{ background:transparent url('<?php echo get_stylesheet_directory_uri() .'/img/control.png';?>') no-repeat -110px -70px; }
.wrap h3{border-bottom:1px solid #ccc;;font: italic 18px georgia;color:#999;margin:30px 0 30px 0;padding:0;}
.wrap th{width:40%;font:bold italic 14px georgia;color:#666;text-align:left;}
.wrap tr{ border-bottom:1px solid #eee}
.cont{ background:#fff;padding:20px;margin-top:20px;border:1px solid #ccc; border-radius:10px; 	-moz-border-radius:10px}
.wrap small{ font:italic  11px arial;color:#999}
.description { float:left;margin:0 10px 0 0}
</style>

	<div class="wrap">
    <?php screen_icon(); echo "<h2>" . get_current_theme() . __( '&nbsp;Settings', 'ADA' ) . "</h2>"; ?>
    <div class="cont">
		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved', 'ADA' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'sample_options' ); ?>
			<?php $options = get_option( 'ADA_theme_options' ); ?>

      <p><?php _e( 'Here you can add and set extra options for you site.', 'ADA' ); ?></p>

      <h3><?php _e( 'Content Options', 'ADA' ); ?></h3>


			<table class="form-table">

				<tr valign="top"><th scope="row"><?php _e( 'Display lost pet in sidebar', 'ADA' ); ?></th>
					<td>
						<fieldset>
						<?php
							if ( ! isset( $checked ) )
								$checked = '';
							foreach ( $radio_options as $option ) {
								$radio_setting = $options['radioinput'];

								if ( '' != $radio_setting ) {
									if ( $options['radioinput'] == $option['value'] ) {
										$checked = "checked=\"checked\"";
									} else {
										$checked = '';
									}
								}
								?>
								<label class="description"><input type="radio" name="ADA_theme_options[radioinput]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> /> <?php echo $option['label']; ?></label><br />
								<?php
							}
						?>
						</fieldset>
					</td>
				</tr>
			</table>

      <h3><?php _e( 'Social Links & Feed', 'ADA' ); ?></h3>

			<table class="form-table">
				<tr valign="top"><th scope="row"><?php _e( 'Social link icons for whole site', 'ADA' ); ?></th>
					<td>
						<textarea id="ADA_theme_options[social_links]" class="large-text" cols="50" rows="5" name="ADA_theme_options[social_links]"><?php echo esc_textarea( $options['social_links'] ); ?></textarea>
						<label class="description" for="ADA_theme_options[social_links]"><?php _e( 'Display social mini icons at top adding links here. Add one linked icon per line. Images are resized to 16x16 automatically', 'ADA' ); ?></label>
					</td>
				</tr>

				<tr valign="top"><th scope="row"><?php _e( 'Social links for single posts', 'ADA' ); ?></th>
					<td>
						<textarea id="ADA_theme_options[social_links_posts]" class="large-text" cols="50" rows="5" name="ADA_theme_options[social_links_posts]"><?php echo esc_textarea( $options['social_links_posts'] ); ?></textarea>
						<label class="description" for="ADA_theme_options[social_links_posts]"><?php _e( 'Display sharing services buttons in posts by adding links here. Add one link per line. You can also add shortcodes if using special plugins', 'ADA' ); ?></label>
					</td>
				</tr>

				<tr valign="top"><th scope="row"><?php _e( 'FeedBurner', 'ADA' ); ?></th>
					<td>
						<input id="ADA_theme_options[feedburner]" class="regular-text" type="text" name="ADA_theme_options[feedburner]" value="<?php esc_attr_e( $options['feedburner'] ); ?>" />
						<label class="description" for="ADA_theme_options[feedburner]"><a href="http://google.feedburner.com" target="_blank" />&#153;<?php _e( 'Feedburner Username:', 'ADA' ); ?></a></label>
					</td>
				</tr>
			</table>

      <h3><?php _e( 'Special Codes', 'ADA' ); ?></h3>

			<table class="form-table">
				<tr valign="top"><th scope="row"><?php _e( 'Google Analytics', 'ADA' ); ?></th>
					<td>
						<textarea id="ADA_theme_options[google_a]" class="large-text" cols="50" rows="5" name="ADA_theme_options[google_a]"><?php echo esc_textarea( $options['google_a'] ); ?></textarea>
						<label class="description" for="ADA_theme_options[google_a]"><?php _e( '<a href="http://google.google-analytics.com" target="_blank">&#153;Google Analytics</a> code will be inserted in footer', 'ADA' ); ?></label>
					</td>
				</tr>

			</table>



			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'ADA' ); ?>" />
			</p>
		</form>

     <p><strong><?php _e('More Help with ADA Theme:', 'ADA');?></strong></p>
      <p><a href="http://arquivo.tk/temas/ada" target="_blank"><?php _e('ADA Theme site','ADA');?></a></p>

	</div>
</div>
	<?php
}

/**
 * Sanitize and validate input.
 */
function theme_options_validate( $input ) {
	global $select_options, $radio_options;

	// Our radio option must actually be in our array of radio options
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;

	// Say our text option must be safe text with no HTML tags
  $input['social_links'] = wp_filter_nohtml_kses( $input['social_links'] );
  $input['social_links_posts'] = wp_filter_nohtml_kses( $input['social_links_posts'] );
  $input['feedburner'] = wp_filter_nohtml_kses( $input['feedburner'] );
  $input['google_a'] = wp_filter_nohtml_kses( $input['google_a'] );

	return $input;
}