<?php

//Features WordPress//

if ( ! isset( $content_width ) ) $content_width = 650;

add_theme_support( 'post-thumbnails' );
add_image_size( 'intro', 230, 230, true );
add_editor_style();
add_custom_background();
add_theme_support( 'automatic-feed-links' );


/**
 * Where the post has no post title, but must still display a link to the single-page post view.
 */
add_filter('the_title', 'ada_title');

function ada_title($title) {
    if ($title == '') {
        return 'Untitled';
    } else {
        return $title;
    }
}


// Sidebars//
add_action( 'widgets_init', 'ADA_register_sidebars' );

function ADA_register_sidebars() {

	register_sidebar(
		array(
			'id' => 'default',
			'name' => __( 'SideBar - Home', 'ADA'  ),
			'description' => __( 'Site Homepage', 'ADA'  )
		)
	);


	register_sidebar(
		array(
			'id' => 'paginas',
			'name' => __( 'SideBar - Pages', 'ADA'  ),
			'description' => __( 'Itens to show in Pages', 'ADA'  )
		)
	);

	register_sidebar(
		array(
			'id' => 'postagens',
			'name' => __( 'SideBar - Posts', 'ADA'  ),
			'description' => __( 'Itens to show in Posts', 'ADA'  )
		)
	);

	register_sidebar(
		array(
			'id' => 'categoria',
			'name' => __( 'SideBar - Categories', 'ADA'  ),
			'description' => __( 'Itens to show in Categories Listings', 'ADA'  )
		)
	);


	register_sidebar(
		array(
			'id' => 'pesquisa',
			'name' => __( 'SideBar - Search Results', 'ADA'  ),
			'description' => __( 'Search Results, 404 etc', 'ADA'  )
		)
	);


	register_sidebar(
		array(
			'id' => 'box-e',
			'name' => __( 'Footer - Left Box', 'ADA'  ),
			'description' => __( 'The left area in Footer', 'ADA'  )
		)
	);


	register_sidebar(
		array(
			'id' => 'box-c',
			'name' => __( 'Footer - Center Box', 'ADA'  ),
			'description' => __( 'The center area in Footer', 'ADA'  )
		)
	);

	register_sidebar(
		array(
			'id' => 'box-d',
			'name' => __( 'Footer - Right Box', 'ADA'  ),
			'description' => __( 'The right area in Footer', 'ADA'  )
		)
	);
}

//Menus//
add_theme_support('menus');

register_nav_menus( array(
  'menu-topo' => __('<strong>Navigation Menu</strong><br />Add Pages, Categories, etc. You can use nested itens as well.', 'ADA') ,
  'menu-intro' => __('<strong>Intro Menu</strong><br /> Add up to 6 itens like special pages, links etc . Nested itens are not supported!', 'ADA') ,
  'menu-rodape' => __('<strong>Footer Menu</strong><br /> Add Privacy Policy, Legal Notes, Terms of Service etc', 'ADA')
) );

//Header//
add_custom_image_header( '', 'ADA_admin_header_style' );

define('NO_HEADER_TEXT', true );
define('HEADER_TEXTCOLOR', '');
define( 'HEADER_IMAGE', '%s/img/logo.png' );
define( 'HEADER_IMAGE_WIDTH', apply_filters( 'ADA_admin_header_image_width', 500 ) );
define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'ADA_admin_header_image_height', 150 ) );

if ( ! function_exists( 'ADA_admin_header_style' ) ) :
function ADA_admin_header_style() { ?> <style type="text/css"> #headimg {}</style> <?php } endif;



?>